This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 210019 - n-c-b wakes up every 2.5 seconds
n-c-b wakes up every 2.5 seconds
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
: 210018 (view as bug list)
Depends On:
Blocks: wakeup 418441
  Show dependency treegraph
 
Reported: 2006-10-09 11:22 EDT by Arjan van de Ven
Modified: 2015-03-03 17:31 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:41:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to start the timer on demand only (1.15 KB, patch)
2006-10-11 14:43 EDT, Arjan van de Ven
no flags Details | Diff

  None (edit)
Description Arjan van de Ven 2006-10-09 11:22:01 EDT
Description of problem:

/usr/libexec/mapping-daemon
Process 2977 attached - interrupt to quit
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}], 2, 144) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}], 2, 5000) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}], 2, 5000) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}], 2, 5000) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}], 2, 5000) = 0
Comment 1 Alexander Larsson 2006-10-11 14:21:19 EDT
*** Bug 210018 has been marked as a duplicate of this bug. ***
Comment 2 Alexander Larsson 2006-10-11 14:23:42 EDT
Its just a lame timeout to clean up when not in use:
	g_timeout_add (5000, &cleanup_timeout, NULL);
Comment 3 Arjan van de Ven 2006-10-11 14:43:04 EDT
Created attachment 138268 [details]
patch to start the timer on demand only

would this patch work? it should start the timer only when the last connection
goes away, rather than polling all the time
Comment 4 Alexander Larsson 2006-10-12 12:00:30 EDT
Its not ideal, once you've reached zero clients and still have data around
you'll start polling, and if you then get a new client you'll never stop polling
again. It should keep track of whether its polling or not and disable that on
first client connect.
Comment 5 Bastien Nocera 2007-02-16 11:45:57 EST
Adding Jon to the CC: list. That should probably be filed upstream as well, if
it's still current.
Comment 6 Bug Zapper 2008-05-13 22:24:42 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 18:18:59 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 William Lovaton 2009-06-15 09:16:54 EDT
is this still a problem?? I don't see it any more.
Comment 9 Bastien Nocera 2009-06-15 11:00:24 EDT
If anything, the problem would be in gvfs.
Comment 10 Bug Zapper 2009-07-14 10:41:14 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.